automation-cloud
latest
false
- 入门指南
- 身份验证
- 作用域和权限
- 平台管理 API

Automation Cloud API 指南
上次更新日期 2026年4月9日
下载事件
将审核事件下载为 CSV 文件。每种日志记录体验都提供单独的下载端点。
统一的日志记录体验
统一日志记录体验使用这些 API 端点,并提供两个作用域:
- 组织级别:
/orgaudit_/ - 租户级别:
/tenantaudit_/
这些 API 可下载加入到统一框架的 UiPath 服务的审核信息。
API 端点
组织级别
GET {accessURL}/{org-name}/orgaudit_/api/query/downloadevents
将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:
| Cloud Platform | 访问 URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud 公共部门 | https://govcloud.uipath.us/ |
| Automation Cloud 专用 | https://{customURL}.dedicated.uipath.com/ |
租户级别
GET {accessURL}/{org-name}/{tenant-name}/tenantaudit_/api/query/downloadevents
将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:
| Cloud Platform | 访问 URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud 公共部门 | https://govcloud.uipath.us/ |
| Automation Cloud 专用 | https://{customURL}.dedicated.uipath.com/ |
作用域
需要以下作用域之一:
- PM.Audit
- PM.Audit.Read
请求标头
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:
要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。
查询参数
| 参数 | 类型 | 描述 |
|---|---|---|
from (可选) | Datetime | 时间间隔开始 |
to (可选) | Datetime | 时间间隔结束 |
source (可选) | 数组 [String] | 事件源列表 |
target (可选) | 数组 [String] | 类别列表 |
type (可选) | 数组 [String] | 活动列表 |
userIds (可选) | 数组 [String] | 用户标识符列表 |
status (可选) | 整数 |
|
响应
200 OK
下载包含所选审核事件的 .CSV 文件。
请求示例
组织级别
curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/downloadevents?from=2024-12-24T00:00:00Z&to=2025-03-24T00:00:00Z&status=0' \
--header 'Authorization: Bearer {token}'
curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/downloadevents?from=2024-12-24T00:00:00Z&to=2025-03-24T00:00:00Z&status=0' \
--header 'Authorization: Bearer {token}'
租户级别
curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z&source
=1bf33a0d-fbe0-4fe5-b7f6-c61379878989&source
=afef9b33-872c-4c10-9039-009866131e77&source=f51fa47f-a015-4b0b-b9c3-28caa3d00788
&source=3e5e8c49-5e7f-41cc-a2ec-c42f9deebb70&target=5c8402f9-0529-4317-8790-568842208620&target=19d7f55c-c580-4bec-b6f0-d5deab0b17f3&target=09d74792-21f4-4bc9-a650-9020f8811c32&type=a912d4d8-df39-44c7-b696-27c5660c06da&type
=a57e644c-2d80-4f40-ac3b-b7c934d0a510&userIds
=4120ea1c-5d2b-4287-ba6c-904c694d2767&userIds=a922809d-3956-4376-8406-4eb2d6d6b363' \
--header 'Authorization: Bearer {token}'
curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z&source
=1bf33a0d-fbe0-4fe5-b7f6-c61379878989&source
=afef9b33-872c-4c10-9039-009866131e77&source=f51fa47f-a015-4b0b-b9c3-28caa3d00788
&source=3e5e8c49-5e7f-41cc-a2ec-c42f9deebb70&target=5c8402f9-0529-4317-8790-568842208620&target=19d7f55c-c580-4bec-b6f0-d5deab0b17f3&target=09d74792-21f4-4bc9-a650-9020f8811c32&type=a912d4d8-df39-44c7-b696-27c5660c06da&type
=a57e644c-2d80-4f40-ac3b-b7c934d0a510&userIds
=4120ea1c-5d2b-4287-ba6c-904c694d2767&userIds=a922809d-3956-4376-8406-4eb2d6d6b363' \
--header 'Authorization: Bearer {token}'
传统日志记录体验
API 端点
GET {accessURL}/audit_/api/auditlogs/download
将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:
| Cloud Platform | 访问 URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud 公共部门 | https://govcloud.uipath.us/ |
| Automation Cloud 专用 | https://{customURL}.dedicated.uipath.com/ |
作用域
需要以下作用域之一:
- PM.Audit
- PM.Audit.Read
请求标头
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:
要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。
查询参数
| 查询参数 | 数据类型 | 描述 |
|---|---|---|
language (可选) | 字符串 | 以缩写形式指定可用的显示语言。 例如 fr、de、en、ja 等。 |
size (可选) | Int32 | 指定下载大小。 |
响应
200 OK
审核事件列表将以 .csv 格式下载到您的计算机上。
请求示例
假设您收集了构建 API 调用所需的所有信息。
- 您的
{baseURL}为:https://cloud.uipath.com/{organizationName} - 您的
{access_token}为:1234(出于长度考虑)。 - 您需要设置以下查询参数:
language=ensize= 13,下载前 13 个条目。
调用应类似于以下示例 (CURL):
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'